.container {
    display: flex;
    flex-direction: column; 
    justify-content: center;
    text-align: center;
    color: white; 
}

.heading1 {
    color: #102050;
    font-size: 3.0rem; 
    font-weight: bold;
}

.paragraph {
    color: #102050;
    font-size: 1.25rem;
}

.action-container {
    display: flex;
    flex-direction: column; 
    justify-content: center;
    margin-top: 5rem;
    gap: 2rem;
}

@media (min-width: 768px) {
    .action-container {
        flex-direction: row; 
    }
}

.newsletter-container,
.dp-container {
    width: 100%; 
    max-width: 20rem; 
    margin-left: auto;
    margin-right: auto; 
}

@media (min-width: 768px) {
    .newsletter-container,
    .dp-container {
        max-width: 20rem;
        margin-left: 0;
        margin-right: 0;
    }
}

.label-form {
    color: #102050;
    font-size: 1.0rem;
}

.newsletter-form {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    background-color: var(--primary-color);
    border-radius: 9999px;
    box-shadow: 0 0 5px #656565;
    padding: 0.4rem 1.2rem;
    gap: 1.0rem;
    min-height: 3rem;
    box-sizing: content-box;
}

.newsletter-input {
    border: none; 
    background-color: transparent;
    color: white;
    font-size: 1.2rem;
    min-width: 2.0rem; 
}

.newsletter-input::placeholder {
  color: white;
  opacity: 1; 
  text-decoration-line: underline;
}

.newsletter-submit-button {
    border: none; 
    background-color: transparent;
    color: white;
}

.subscribe-icon {
    width: 1.5rem;
    height: 1.5rem;
}

.subscribe-icon:hover {
    cursor: pointer;
}
   
.submit-dp-container {
    display: flex;
    flex-direction: row; 
    justify-content: center;
    align-items: center;
    background-color: var(--primary-color);
    text-decoration: none;
    border-radius: 9999px;
    box-shadow: 0 0 5px #656565;
    padding: 0.4rem 1.2rem;    
    gap: 1.0rem;
    min-height: 3.0rem;
    cursor: auto; 
    box-sizing: content-box;
}

.submit-dp-button {
    text-decoration: none;
    color: white; 
}

.dp-button-text {
    color: white;
    font-size: 1.2rem;
}

.submit-dp-icon {
    width: 1.5rem;
    height: 1.5rem;
}